import { query, execute } from '../database/db';

export function getUserPreferences(phoneNumber: string) {
  return query(
    'SELECT * FROM user_preferences WHERE phone_number = ?',
    [phoneNumber]
  )[0] || { phone_number: phoneNumber, reminders_enabled: true };
}

export function setRemindersEnabled(phoneNumber: string, enabled: boolean) {
  execute(
    `INSERT INTO user_preferences (phone_number, reminders_enabled)
     VALUES (?, ?)
     ON CONFLICT(phone_number) DO UPDATE SET
       reminders_enabled = excluded.reminders_enabled`,
    [phoneNumber, enabled]
  );
}
